View Issue Details

IDProjectCategoryView StatusLast Update
0000928SketcherBugpublic2014-02-08 23:09
ReporterwmayerAssigned Tologari81 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.14 
Summary0000928: Selection inconsistency
DescriptionIf you are in edit mode of a selection elements counting for shapes start with 0 while usually it starts with 1.

See also https://sourceforge.net/apps/phpbb/free-cad/viewtopic.php?f=10&t=3367

The problem is inside:
ViewProviderSketch::mouseButtonPressed()
ViewProviderSketch::onSelectionChanged()
ViewProviderSketch::doBoxSelection()
any maybe further methods.
TagsNo tags attached.

Activities

logari81

2014-02-08 07:57

developer   ~0004169

I can fix this, but it will break any user scripts that rely on this numbering convention. I think we should just change it before 0.14 is released and inform the few people that may be affected. I don't think there are many scripts that work with a sketch in Edit mode.

logari81

2014-02-08 23:07

developer   ~0004171

git show fa33bca

Related Changesets

FreeCAD: master fa33bcae

2014-02-08 23:48:08

logari81

Details Diff
+ fixes 0000928: Change selection numbering base in the Sketcher from 0 to 1 Affected Issues
0000928
mod - src/Mod/Sketcher/Gui/CommandAlterGeometry.cpp Diff File
mod - src/Mod/Sketcher/Gui/CommandConstraints.cpp Diff File
mod - src/Mod/Sketcher/Gui/CommandCreateGeo.cpp Diff File
mod - src/Mod/Sketcher/Gui/TaskSketcherConstrains.cpp Diff File
mod - src/Mod/Sketcher/Gui/ViewProviderSketch.cpp Diff File

Issue History

Date Modified Username Field Change
2012-12-23 13:50 wmayer New Issue
2012-12-27 20:22 logari81 Status new => assigned
2012-12-27 20:22 logari81 Assigned To => logari81
2014-02-08 07:57 logari81 Note Added: 0004169
2014-02-08 23:07 logari81 Note Added: 0004171
2014-02-08 23:07 logari81 Status assigned => closed
2014-02-08 23:07 logari81 Resolution open => fixed
2014-02-08 23:07 logari81 Fixed in Version => 0.14
2014-02-08 23:09 logari81 Changeset attached => FreeCAD Master master fa33bcae